Home//
REST API Reference
/- Get a conversation attribute
List all conversation attributes
Create a conversation attribute
Update a conversation attribute
Delete (archive) a conversation attribute
Add an option to a list conversation attribute
Update an option on a list conversation attribute
Archive an option on a list conversation attribute
Conversation Attribute
Get a conversation attrib...
Retrieve a single conversation attribute by ID.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/conversations/attributes/{id}
- The european API serverhttps://api.eu.intercom.io/conversations/attributes/{id}
- The australian API serverhttps://api.au.intercom.io/conversations/attributes/{id}
curl -i -X GET \
https://api.intercom.io/conversations/attributes/3 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Successful response
Value is conversation_attribute.
Value:"conversation_attribute"
Example:"conversation_attribute"
The data type of the attribute. Allowed types: string, integer, list, decimal, boolean, datetime, relationship, files.
Value:"string"
Example:"string"
Discriminator
Team IDs that can see this attribute. Empty array means all teams.
Example:
[]
The time the attribute was created as a UTC Unix timestamp.
Example:1778239701
The time the attribute was last updated as a UTC Unix timestamp.
Example:1778239701
Response
- string
- integer
- list
- decimal
- boolean
- datetime
- relationship
- files
{ "type": "conversation_attribute", "id": 3, "name": "test 2", "description": "", "data_type": "string", "required": false, "visible_to_team_ids": [], "archived": false, "created_at": 1777473061, "updated_at": 1777473061, "admin_id": "16", "multiline": false }